import request from '@/utils/request'


// 查询所有
export function listCtApplyPlanLogAll(query) {
  return request({
    url: '/business/ctApplyPlanLog/listAll',
    method: 'get',
    params: query
  })
}

// 查询应用执行结果记录管理列表
export function listCtApplyPlanLog(query) {
  return request({
    url: '/business/ctApplyPlanLog/list',
    method: 'get',
    params: query
  })
}

// 查询应用执行结果记录管理详细
export function getCtApplyPlanLog(id) {
  return request({
    url: '/business/ctApplyPlanLog/' + id,
    method: 'get'
  })
}

// 新增应用执行结果记录管理
export function addCtApplyPlanLog(data) {
  return request({
    url: '/business/ctApplyPlanLog',
    method: 'post',
    data: data
  })
}

// 修改应用执行结果记录管理
export function updateCtApplyPlanLog(data) {
  return request({
    url: '/business/ctApplyPlanLog',
    method: 'put',
    data: data
  })
}

// 删除应用执行结果记录管理
export function delCtApplyPlanLog(id) {
  return request({
    url: '/business/ctApplyPlanLog/' + id,
    method: 'delete'
  })
}