import request from '@/utils/request'




// 查询所有应用机器人绑定列表
export function updateApplyRebot(data) {
  return request({
    url: '/business/ctApplyRebot/updateApplyRebot',
    method: 'post',
    data: data
  })
}

// 查询所有应用机器人绑定列表
export function listApplyAll(query) {
  return request({
    url: '/business/ctApplyRebot/listAll',
    method: 'get',
    params: query
  })
}

// 查询应用信息管理列表
export function listCtApply(query) {
  return request({
    url: '/business/ctApply/list',
    method: 'get',
    params: query
  })
}

// 查询应用信息管理详细
export function getCtApply(id) {
  return request({
    url: '/business/ctApply/' + id,
    method: 'get'
  })
}

// 新增应用信息管理
export function addCtApply(data) {
  return request({
    url: '/business/ctApply',
    method: 'post',
    data: data
  })
}

// 修改应用信息管理
export function updateCtApply(data) {
  return request({
    url: '/business/ctApply',
    method: 'put',
    data: data
  })
}

// 删除应用信息管理
export function delCtApply(id) {
  return request({
    url: '/business/ctApply/' + id,
    method: 'delete'
  })
}
